Skip to main content

Get Trip Viewer URL

GET Trip Viewer URL returns the latest Trip Viewer link based on a Trimble tripId. It is a lightweight way to get a Trip Viewer URL only, without retrieving all of the trip’s details via a GET Trip call. The URL returned is available for 12 hours. Call this endpoint again to refresh it.

GET /trip/{tripId}/viewer/url

Resource URL

https://tripmanagement.trimblemaps.com/api/trip/{tripId}/viewer/url

Request Parameter

Field Description Type Required
tripId The alkTripId returned when you planned the trip.
integer
Yes

Response Field

Field Description Type
url The Trip Viewer URL to launch that specific trip.
string

Sample Request

https://tripmanagement.trimblemaps.com/api/trip/96201560/viewer/url

Sample Response

{
    "url": "https://tripmanagement.alk.com/trip-viewer/token/ato30ma8se8jk9za7av0uebdiy027qcb0jv09v6igg/details/324925213?region=NA"
}
Last updated August 18, 2026.
API Endpoint: